import request from '@/utils/request'

// 查询网络列表
export function listNet(query) {
  return request({
    url: '/netEwm/net/list',
    method: 'get',
    params: query
  })
}

// 查询网络详细
export function getNet(id) {
  return request({
    url: '/netEwm/net/' + id,
    method: 'get'
  })
}

// 新增网络
export function addNet(data) {
  return request({
    url: '/netEwm/net',
    method: 'post',
    data: data
  })
}

// 修改网络
export function updateNet(data) {
  return request({
    url: '/netEwm/net',
    method: 'put',
    data: data
  })
}

// 删除网络
export function delNet(id) {
  return request({
    url: '/netEwm/net/' + id,
    method: 'delete'
  })
}
